source: squid-ssl/trunk/fuentes/src/icmp/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 44.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94@ENABLE_PINGER_TRUE@libexec_PROGRAMS = pinger$(EXEEXT)
95@ENABLE_PINGER_FALSE@EXTRA_PROGRAMS = pinger$(EXEEXT)
96subdir = src/icmp
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163LTLIBRARIES = $(noinst_LTLIBRARIES)
164libicmp_core_la_LIBADD =
165am_libicmp_core_la_OBJECTS = Icmp.lo
166libicmp_core_la_OBJECTS = $(am_libicmp_core_la_OBJECTS)
167AM_V_lt = $(am__v_lt_@AM_V@)
168am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169am__v_lt_0 = --silent
170am__v_lt_1 =
171libicmp_la_LIBADD =
172am_libicmp_la_OBJECTS = IcmpSquid.lo net_db.lo
173libicmp_la_OBJECTS = $(am_libicmp_la_OBJECTS)
174am__installdirs = "$(DESTDIR)$(libexecdir)"
175PROGRAMS = $(libexec_PROGRAMS)
176am_pinger_OBJECTS = IcmpPinger.$(OBJEXT) Icmp4.$(OBJEXT) \
177        Icmp6.$(OBJEXT) pinger.$(OBJEXT)
178am__objects_1 = debug.$(OBJEXT) globals.$(OBJEXT) \
179        SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) \
180        stub_HelperChildConfig.$(OBJEXT) time.$(OBJEXT)
181nodist_pinger_OBJECTS = $(am__objects_1)
182pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
183@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
184am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
185        $(am__DEPENDENCIES_1)
186am__DEPENDENCIES_3 =
187pinger_DEPENDENCIES = libicmp-core.la ../ip/libip.la \
188        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
189pinger_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
191        $(CXXFLAGS) $(pinger_LDFLAGS) $(LDFLAGS) -o $@
192AM_V_P = $(am__v_P_@AM_V@)
193am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194am__v_P_0 = false
195am__v_P_1 = :
196AM_V_GEN = $(am__v_GEN_@AM_V@)
197am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198am__v_GEN_0 = @echo "  GEN     " $@;
199am__v_GEN_1 =
200AM_V_at = $(am__v_at_@AM_V@)
201am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202am__v_at_0 = @
203am__v_at_1 =
204DEFAULT_INCLUDES =
205depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
206am__depfiles_maybe = depfiles
207am__mv = mv -f
208CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
209        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
210LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
211        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
212        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213        $(AM_CXXFLAGS) $(CXXFLAGS)
214AM_V_CXX = $(am__v_CXX_@AM_V@)
215am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
216am__v_CXX_0 = @echo "  CXX     " $@;
217am__v_CXX_1 =
218CXXLD = $(CXX)
219CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
220        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
221        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
222AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
223am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
224am__v_CXXLD_0 = @echo "  CXXLD   " $@;
225am__v_CXXLD_1 =
226COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
227        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
228LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
229        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
230        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231        $(AM_CFLAGS) $(CFLAGS)
232AM_V_CC = $(am__v_CC_@AM_V@)
233am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
234am__v_CC_0 = @echo "  CC      " $@;
235am__v_CC_1 =
236CCLD = $(CC)
237LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
239        $(AM_LDFLAGS) $(LDFLAGS) -o $@
240AM_V_CCLD = $(am__v_CCLD_@AM_V@)
241am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
242am__v_CCLD_0 = @echo "  CCLD    " $@;
243am__v_CCLD_1 =
244SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
245        $(pinger_SOURCES) $(nodist_pinger_SOURCES)
246DIST_SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
247        $(pinger_SOURCES)
248am__can_run_installinfo = \
249  case $$AM_UPDATE_INFO_DIR in \
250    n|no|NO) false;; \
251    *) (install-info --version) >/dev/null 2>&1;; \
252  esac
253am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254# Read a list of newline-separated strings from the standard input,
255# and print each of them once, without duplicates.  Input order is
256# *not* preserved.
257am__uniquify_input = $(AWK) '\
258  BEGIN { nonempty = 0; } \
259  { items[$$0] = 1; nonempty = 1; } \
260  END { if (nonempty) { for (i in items) print i; }; } \
261'
262# Make sure the list of sources is unique.  This is necessary because,
263# e.g., the same source file might be shared among _SOURCES variables
264# for different programs/libraries.
265am__define_uniq_tagged_files = \
266  list='$(am__tagged_files)'; \
267  unique=`for i in $$list; do \
268    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269  done | $(am__uniquify_input)`
270ETAGS = etags
271CTAGS = ctags
272am__tty_colors_dummy = \
273  mgn= red= grn= lgn= blu= brg= std=; \
274  am__color_tests=no
275am__tty_colors = { \
276  $(am__tty_colors_dummy); \
277  if test "X$(AM_COLOR_TESTS)" = Xno; then \
278    am__color_tests=no; \
279  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
280    am__color_tests=yes; \
281  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
282    am__color_tests=yes; \
283  fi; \
284  if test $$am__color_tests = yes; then \
285    red='[0;31m'; \
286    grn='[0;32m'; \
287    lgn='[1;32m'; \
288    blu='[1;34m'; \
289    mgn='[0;35m'; \
290    brg='[1m'; \
291    std='[m'; \
292  fi; \
293}
294am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
295am__vpath_adj = case $$p in \
296    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
297    *) f=$$p;; \
298  esac;
299am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
300am__install_max = 40
301am__nobase_strip_setup = \
302  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
303am__nobase_strip = \
304  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
305am__nobase_list = $(am__nobase_strip_setup); \
306  for p in $$list; do echo "$$p $$p"; done | \
307  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
308  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
309    if (++n[$$2] == $(am__install_max)) \
310      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
311    END { for (dir in files) print dir, files[dir] }'
312am__base_list = \
313  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
314  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
315am__uninstall_files_from_dir = { \
316  test -z "$$files" \
317    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
318    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
319         $(am__cd) "$$dir" && rm -f $$files; }; \
320  }
321am__recheck_rx = ^[     ]*:recheck:[    ]*
322am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
323am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
324# A command that, given a newline-separated list of test names on the
325# standard input, print the name of the tests that are to be re-run
326# upon "make recheck".
327am__list_recheck_tests = $(AWK) '{ \
328  recheck = 1; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332        { \
333          if ((getline line2 < ($$0 ".log")) < 0) \
334            recheck = 0; \
335          break; \
336        } \
337      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
338        { \
339          recheck = 0; \
340          break; \
341        } \
342      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
343        { \
344          break; \
345        } \
346    }; \
347  if (recheck) \
348    print $$0; \
349  close ($$0 ".trs"); \
350  close ($$0 ".log"); \
351}'
352# A command that, given a newline-separated list of test names on the
353# standard input, create the global log from their .trs and .log files.
354am__create_global_log = $(AWK) ' \
355function fatal(msg) \
356{ \
357  print "fatal: making $@: " msg | "cat >&2"; \
358  exit 1; \
359} \
360function rst_section(header) \
361{ \
362  print header; \
363  len = length(header); \
364  for (i = 1; i <= len; i = i + 1) \
365    printf "="; \
366  printf "\n\n"; \
367} \
368{ \
369  copy_in_global_log = 1; \
370  global_test_result = "RUN"; \
371  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
372    { \
373      if (rc < 0) \
374         fatal("failed to read from " $$0 ".trs"); \
375      if (line ~ /$(am__global_test_result_rx)/) \
376        { \
377          sub("$(am__global_test_result_rx)", "", line); \
378          sub("[        ]*$$", "", line); \
379          global_test_result = line; \
380        } \
381      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
382        copy_in_global_log = 0; \
383    }; \
384  if (copy_in_global_log) \
385    { \
386      rst_section(global_test_result ": " $$0); \
387      while ((rc = (getline line < ($$0 ".log"))) != 0) \
388      { \
389        if (rc < 0) \
390          fatal("failed to read from " $$0 ".log"); \
391        print line; \
392      }; \
393      printf "\n"; \
394    }; \
395  close ($$0 ".trs"); \
396  close ($$0 ".log"); \
397}'
398# Restructured Text title.
399am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
400# Solaris 10 'make', and several other traditional 'make' implementations,
401# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
402# by disabling -e (using the XSI extension "set +e") if it's set.
403am__sh_e_setup = case $$- in *e*) set +e;; esac
404# Default flags passed to test drivers.
405am__common_driver_flags = \
406  --color-tests "$$am__color_tests" \
407  --enable-hard-errors "$$am__enable_hard_errors" \
408  --expect-failure "$$am__expect_failure"
409# To be inserted before the command running the test.  Creates the
410# directory for the log if needed.  Stores in $dir the directory
411# containing $f, in $tst the test, in $log the log.  Executes the
412# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
413# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
414# will run the test scripts (or their associated LOG_COMPILER, if
415# thy have one).
416am__check_pre = \
417$(am__sh_e_setup);                                      \
418$(am__vpath_adj_setup) $(am__vpath_adj)                 \
419$(am__tty_colors);                                      \
420srcdir=$(srcdir); export srcdir;                        \
421case "$@" in                                            \
422  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
423    *) am__odir=.;;                                     \
424esac;                                                   \
425test "x$$am__odir" = x"." || test -d "$$am__odir"       \
426  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
427if test -f "./$$f"; then dir=./;                        \
428elif test -f "$$f"; then dir=;                          \
429else dir="$(srcdir)/"; fi;                              \
430tst=$$dir$$f; log='$@';                                 \
431if test -n '$(DISABLE_HARD_ERRORS)'; then               \
432  am__enable_hard_errors=no;                            \
433else                                                    \
434  am__enable_hard_errors=yes;                           \
435fi;                                                     \
436case " $(XFAIL_TESTS) " in                              \
437  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
438    am__expect_failure=yes;;                            \
439  *)                                                    \
440    am__expect_failure=no;;                             \
441esac;                                                   \
442$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
443# A shell command to get the names of the tests scripts with any registered
444# extension removed (i.e., equivalently, the names of the test logs, with
445# the '.log' extension removed).  The result is saved in the shell variable
446# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
447# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
448# since that might cause problem with VPATH rewrites for suffix-less tests.
449# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
450am__set_TESTS_bases = \
451  bases='$(TEST_LOGS)'; \
452  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
453  bases=`echo $$bases`
454RECHECK_LOGS = $(TEST_LOGS)
455AM_RECURSIVE_TARGETS = check recheck
456TEST_SUITE_LOG = test-suite.log
457TEST_EXTENSIONS = @EXEEXT@ .test
458LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
459LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
460am__set_b = \
461  case '$@' in \
462    */*) \
463      case '$*' in \
464        */*) b='$*';; \
465          *) b=`echo '$@' | sed 's/\.log$$//'`; \
466       esac;; \
467    *) \
468      b='$*';; \
469  esac
470am__test_logs1 = $(TESTS:=.log)
471am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
472TEST_LOGS = $(am__test_logs2:.test.log=.log)
473TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
474TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
475        $(TEST_LOG_FLAGS)
476am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
477        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
478        $(top_srcdir)/src/TestHeaders.am
479DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
480ACLOCAL = @ACLOCAL@
481ADAPTATION_LIBS = @ADAPTATION_LIBS@
482ALLOCA = @ALLOCA@
483AMTAR = @AMTAR@
484AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
485AR = @AR@
486ARGZ_H = @ARGZ_H@
487AR_R = @AR_R@
488AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
489AUTH_MODULES = @AUTH_MODULES@
490AUTOCONF = @AUTOCONF@
491AUTOHEADER = @AUTOHEADER@
492AUTOMAKE = @AUTOMAKE@
493AWK = @AWK@
494BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
495BUILDCXX = @BUILDCXX@
496BUILDCXXFLAGS = @BUILDCXXFLAGS@
497BZR = @BZR@
498CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
499CC = @CC@
500CCDEPMODE = @CCDEPMODE@
501CFLAGS = @CFLAGS@
502CGIEXT = @CGIEXT@
503CHMOD = @CHMOD@
504CPP = @CPP@
505CPPFLAGS = @CPPFLAGS@
506CPPUNITCONFIG = @CPPUNITCONFIG@
507CRYPTLIB = @CRYPTLIB@
508CXX = @CXX@
509CXXCPP = @CXXCPP@
510CXXDEPMODE = @CXXDEPMODE@
511CXXFLAGS = @CXXFLAGS@
512CYGPATH_W = @CYGPATH_W@
513DEFAULT_HOSTS = @DEFAULT_HOSTS@
514DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
515DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
516DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
517
518# TODO: get rid of this when config filename is no longer a global constant.
519#      its only here so the pinger globals.cc will link.
520DEFS = @DEFS@ -DDEFAULT_CONFIG_FILE=NULL
521DEPDIR = @DEPDIR@
522DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
523DISK_LIBS = @DISK_LIBS@
524DISK_LINKOBJS = @DISK_LINKOBJS@
525DISK_MODULES = @DISK_MODULES@
526DISK_OS_LIBS = @DISK_OS_LIBS@
527DISK_PROGRAMS = @DISK_PROGRAMS@
528DLLTOOL = @DLLTOOL@
529DSYMUTIL = @DSYMUTIL@
530DUMPBIN = @DUMPBIN@
531ECAP_LIBS = @ECAP_LIBS@
532ECHO_C = @ECHO_C@
533ECHO_N = @ECHO_N@
534ECHO_T = @ECHO_T@
535EGREP = @EGREP@
536EPOLL_LIBS = @EPOLL_LIBS@
537EUILIB = @EUILIB@
538EXEEXT = @EXEEXT@
539EXPATLIB = @EXPATLIB@
540EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
541EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
542EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
543FALSE = @FALSE@
544FGREP = @FGREP@
545GREP = @GREP@
546HAVE_CXX11 = @HAVE_CXX11@
547ICAP_LIBS = @ICAP_LIBS@
548INCLTDL = @INCLTDL@
549INSTALL = @INSTALL@
550INSTALL_DATA = @INSTALL_DATA@
551INSTALL_PROGRAM = @INSTALL_PROGRAM@
552INSTALL_SCRIPT = @INSTALL_SCRIPT@
553INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
554KRB5INCS = @KRB5INCS@
555KRB5LIBS = @KRB5LIBS@
556LBERLIB = @LBERLIB@
557LD = @LD@
558LDAPLIB = @LDAPLIB@
559LDFLAGS = @LDFLAGS@
560LIBADD_DL = @LIBADD_DL@
561LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
562LIBADD_DLOPEN = @LIBADD_DLOPEN@
563LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
564LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
565LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
566LIBLTDL = @LIBLTDL@
567LIBOBJS = @LIBOBJS@
568LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
569LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
570LIBS = @LIBS@
571LIBSASL = @LIBSASL@
572LIBTOOL = @LIBTOOL@
573LIB_DB = @LIB_DB@
574LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
575LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
576LINUXDOC = @LINUXDOC@
577LIPO = @LIPO@
578LN = @LN@
579LN_S = @LN_S@
580LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
581LTDLDEPS = @LTDLDEPS@
582LTDLINCL = @LTDLINCL@
583LTDLOPEN = @LTDLOPEN@
584LTLIBOBJS = @LTLIBOBJS@
585LT_CONFIG_H = @LT_CONFIG_H@
586LT_DLLOADERS = @LT_DLLOADERS@
587LT_DLPREOPEN = @LT_DLPREOPEN@
588MAINT = @MAINT@
589MAKEINFO = @MAKEINFO@
590MANIFEST_TOOL = @MANIFEST_TOOL@
591MINGW_LIBS = @MINGW_LIBS@
592MKDIR = @MKDIR@
593MKDIR_P = @MKDIR_P@
594MV = @MV@
595NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
596NETTLELIB = @NETTLELIB@
597NM = @NM@
598NMEDIT = @NMEDIT@
599NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
600OBJDUMP = @OBJDUMP@
601OBJEXT = @OBJEXT@
602OTOOL = @OTOOL@
603OTOOL64 = @OTOOL64@
604PACKAGE = @PACKAGE@
605PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
606PACKAGE_NAME = @PACKAGE_NAME@
607PACKAGE_STRING = @PACKAGE_STRING@
608PACKAGE_TARNAME = @PACKAGE_TARNAME@
609PACKAGE_URL = @PACKAGE_URL@
610PACKAGE_VERSION = @PACKAGE_VERSION@
611PATH_SEPARATOR = @PATH_SEPARATOR@
612PERL = @PERL@
613PKG_CONFIG = @PKG_CONFIG@
614PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
615PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
616PO2HTML = @PO2HTML@
617PO2TEXT = @PO2TEXT@
618POD2MAN = @POD2MAN@
619RANLIB = @RANLIB@
620REGEXLIB = @REGEXLIB@
621REPL_LIBS = @REPL_LIBS@
622REPL_OBJS = @REPL_OBJS@
623REPL_POLICIES = @REPL_POLICIES@
624RM = @RM@
625SED = @SED@
626SET_MAKE = @SET_MAKE@
627SH = @SH@
628SHELL = @SHELL@
629SMBCLIENT = @SMBCLIENT@
630SNMPLIB = @SNMPLIB@
631SQUID_CFLAGS = @SQUID_CFLAGS@
632SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
633SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
634SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
635SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
636SSLLIB = @SSLLIB@
637STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
638STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
639STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
640STORE_TESTS = @STORE_TESTS@
641STRIP = @STRIP@
642TR = @TR@
643TRUE = @TRUE@
644URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
645VERSION = @VERSION@
646WBINFO = @WBINFO@
647WIN32_PSAPI = @WIN32_PSAPI@
648XMLLIB = @XMLLIB@
649XTRA_LIBS = @XTRA_LIBS@
650XTRA_OBJS = @XTRA_OBJS@
651abs_builddir = @abs_builddir@
652abs_srcdir = @abs_srcdir@
653abs_top_builddir = @abs_top_builddir@
654abs_top_srcdir = @abs_top_srcdir@
655ac_ct_AR = @ac_ct_AR@
656ac_ct_CC = @ac_ct_CC@
657ac_ct_CXX = @ac_ct_CXX@
658ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
659am__include = @am__include@
660am__leading_dot = @am__leading_dot@
661am__quote = @am__quote@
662am__tar = @am__tar@
663am__untar = @am__untar@
664bindir = @bindir@
665build = @build@
666build_alias = @build_alias@
667build_cpu = @build_cpu@
668build_os = @build_os@
669build_vendor = @build_vendor@
670builddir = @builddir@
671datadir = @datadir@
672datarootdir = @datarootdir@
673docdir = @docdir@
674dvidir = @dvidir@
675exec_prefix = @exec_prefix@
676host = @host@
677host_alias = @host_alias@
678host_cpu = @host_cpu@
679host_os = @host_os@
680host_vendor = @host_vendor@
681htmldir = @htmldir@
682includedir = @includedir@
683infodir = @infodir@
684install_sh = @install_sh@
685krb5_config = @krb5_config@
686libdir = @libdir@
687libexecdir = @libexecdir@
688localedir = @localedir@
689localstatedir = @localstatedir@
690ltdl_LIBOBJS = @ltdl_LIBOBJS@
691ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
692mandir = @mandir@
693mkdir_p = @mkdir_p@
694oldincludedir = @oldincludedir@
695pdfdir = @pdfdir@
696prefix = @prefix@
697program_transform_name = @program_transform_name@
698psdir = @psdir@
699runstatedir = @runstatedir@
700sbindir = @sbindir@
701sharedstatedir = @sharedstatedir@
702srcdir = @srcdir@
703subdirs = @subdirs@
704sys_symbol_underscore = @sys_symbol_underscore@
705sysconfdir = @sysconfdir@
706target_alias = @target_alias@
707top_build_prefix = @top_build_prefix@
708top_builddir = @top_builddir@
709top_srcdir = @top_srcdir@
710AM_CFLAGS = $(SQUID_CFLAGS)
711AM_CXXFLAGS = $(SQUID_CXXFLAGS)
712CLEANFILES = testHeaders $(COPIED_SOURCE)
713TESTS = testHeaders
714AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
715        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
716        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
717        $(am__append_1)
718@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
719@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
720COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
721subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
722noinst_LTLIBRARIES = libicmp-core.la libicmp.la
723
724# ICMP API definition ...
725libicmp_core_la_SOURCES = \
726        Icmp.h \
727        Icmp.cc
728
729
730# Squid Internal ICMP helper interface
731libicmp_la_SOURCES = \
732        IcmpConfig.h \
733        IcmpSquid.h \
734        IcmpSquid.cc \
735        net_db.h \
736        net_db.cc
737
738
739# pinger depends on these but install/dist is done elsewhere.
740COPIED_SOURCE = \
741        debug.cc \
742        globals.cc \
743        SquidConfig.cc \
744        SquidNew.cc \
745        stub_HelperChildConfig.cc \
746        time.cc
747
748
749# ICMP lookup helper
750pinger_SOURCES = \
751        Icmp.h \
752        IcmpPinger.h \
753        IcmpPinger.cc \
754        Icmp4.h \
755        Icmp4.cc \
756        Icmp6.h \
757        Icmp6.cc \
758        pinger.cc
759
760nodist_pinger_SOURCES = $(COPIED_SOURCE)
761pinger_LDFLAGS = $(LIBADD_DL)
762pinger_LDADD = \
763        libicmp-core.la \
764        ../ip/libip.la \
765        $(COMPAT_LIB) \
766        $(XTRA_LIBS)
767
768all: all-am
769
770.SUFFIXES:
771.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
772$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
773        @for dep in $?; do \
774          case '$(am__configure_deps)' in \
775            *$$dep*) \
776              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
777                && { if test -f $@; then exit 0; else break; fi; }; \
778              exit 1;; \
779          esac; \
780        done; \
781        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/icmp/Makefile'; \
782        $(am__cd) $(top_srcdir) && \
783          $(AUTOMAKE) --foreign src/icmp/Makefile
784Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
785        @case '$?' in \
786          *config.status*) \
787            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
788          *) \
789            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
790            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
791        esac;
792$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
793
794$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
795        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
796
797$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
798        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
799$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
800        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
801$(am__aclocal_m4_deps):
802
803clean-noinstLTLIBRARIES:
804        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
805        @list='$(noinst_LTLIBRARIES)'; \
806        locs=`for p in $$list; do echo $$p; done | \
807              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
808              sort -u`; \
809        test -z "$$locs" || { \
810          echo rm -f $${locs}; \
811          rm -f $${locs}; \
812        }
813
814libicmp-core.la: $(libicmp_core_la_OBJECTS) $(libicmp_core_la_DEPENDENCIES) $(EXTRA_libicmp_core_la_DEPENDENCIES)
815        $(AM_V_CXXLD)$(CXXLINK)  $(libicmp_core_la_OBJECTS) $(libicmp_core_la_LIBADD) $(LIBS)
816
817libicmp.la: $(libicmp_la_OBJECTS) $(libicmp_la_DEPENDENCIES) $(EXTRA_libicmp_la_DEPENDENCIES)
818        $(AM_V_CXXLD)$(CXXLINK)  $(libicmp_la_OBJECTS) $(libicmp_la_LIBADD) $(LIBS)
819
820clean-checkPROGRAMS:
821        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
822        echo " rm -f" $$list; \
823        rm -f $$list || exit $$?; \
824        test -n "$(EXEEXT)" || exit 0; \
825        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
826        echo " rm -f" $$list; \
827        rm -f $$list
828install-libexecPROGRAMS: $(libexec_PROGRAMS)
829        @$(NORMAL_INSTALL)
830        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
831        if test -n "$$list"; then \
832          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
833          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
834        fi; \
835        for p in $$list; do echo "$$p $$p"; done | \
836        sed 's/$(EXEEXT)$$//' | \
837        while read p p1; do if test -f $$p \
838         || test -f $$p1 \
839          ; then echo "$$p"; echo "$$p"; else :; fi; \
840        done | \
841        sed -e 'p;s,.*/,,;n;h' \
842            -e 's|.*|.|' \
843            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
844        sed 'N;N;N;s,\n, ,g' | \
845        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
846          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
847            if ($$2 == $$4) files[d] = files[d] " " $$1; \
848            else { print "f", $$3 "/" $$4, $$1; } } \
849          END { for (d in files) print "f", d, files[d] }' | \
850        while read type dir files; do \
851            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
852            test -z "$$files" || { \
853            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
854            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
855            } \
856        ; done
857
858uninstall-libexecPROGRAMS:
859        @$(NORMAL_UNINSTALL)
860        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
861        files=`for p in $$list; do echo "$$p"; done | \
862          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
863              -e 's/$$/$(EXEEXT)/' \
864        `; \
865        test -n "$$list" || exit 0; \
866        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
867        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
868
869clean-libexecPROGRAMS:
870        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
871        echo " rm -f" $$list; \
872        rm -f $$list || exit $$?; \
873        test -n "$(EXEEXT)" || exit 0; \
874        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
875        echo " rm -f" $$list; \
876        rm -f $$list
877
878pinger$(EXEEXT): $(pinger_OBJECTS) $(pinger_DEPENDENCIES) $(EXTRA_pinger_DEPENDENCIES)
879        @rm -f pinger$(EXEEXT)
880        $(AM_V_CXXLD)$(pinger_LINK) $(pinger_OBJECTS) $(pinger_LDADD) $(LIBS)
881
882mostlyclean-compile:
883        -rm -f *.$(OBJEXT)
884
885distclean-compile:
886        -rm -f *.tab.c
887
888@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Icmp.Plo@am__quote@
889@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Icmp4.Po@am__quote@
890@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Icmp6.Po@am__quote@
891@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IcmpPinger.Po@am__quote@
892@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IcmpSquid.Plo@am__quote@
893@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SquidConfig.Po@am__quote@
894@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SquidNew.Po@am__quote@
895@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Po@am__quote@
896@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals.Po@am__quote@
897@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/net_db.Plo@am__quote@
898@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pinger.Po@am__quote@
899@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_HelperChildConfig.Po@am__quote@
900@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@
901
902.cc.o:
903@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
904@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
905@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
906@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
907@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
909
910.cc.obj:
911@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
912@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
913@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
914@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
915@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
917
918.cc.lo:
919@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
920@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
921@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
922@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
923@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
925
926mostlyclean-libtool:
927        -rm -f *.lo
928
929clean-libtool:
930        -rm -rf .libs _libs
931
932ID: $(am__tagged_files)
933        $(am__define_uniq_tagged_files); mkid -fID $$unique
934tags: tags-am
935TAGS: tags
936
937tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
938        set x; \
939        here=`pwd`; \
940        $(am__define_uniq_tagged_files); \
941        shift; \
942        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
943          test -n "$$unique" || unique=$$empty_fix; \
944          if test $$# -gt 0; then \
945            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
946              "$$@" $$unique; \
947          else \
948            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
949              $$unique; \
950          fi; \
951        fi
952ctags: ctags-am
953
954CTAGS: ctags
955ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
956        $(am__define_uniq_tagged_files); \
957        test -z "$(CTAGS_ARGS)$$unique" \
958          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
959             $$unique
960
961GTAGS:
962        here=`$(am__cd) $(top_builddir) && pwd` \
963          && $(am__cd) $(top_srcdir) \
964          && gtags -i $(GTAGS_ARGS) "$$here"
965cscopelist: cscopelist-am
966
967cscopelist-am: $(am__tagged_files)
968        list='$(am__tagged_files)'; \
969        case "$(srcdir)" in \
970          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
971          *) sdir=$(subdir)/$(srcdir) ;; \
972        esac; \
973        for i in $$list; do \
974          if test -f "$$i"; then \
975            echo "$(subdir)/$$i"; \
976          else \
977            echo "$$sdir/$$i"; \
978          fi; \
979        done >> $(top_builddir)/cscope.files
980
981distclean-tags:
982        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
983
984# Recover from deleted '.trs' file; this should ensure that
985# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
986# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
987# to avoid problems with "make -n".
988.log.trs:
989        rm -f $< $@
990        $(MAKE) $(AM_MAKEFLAGS) $<
991
992# Leading 'am--fnord' is there to ensure the list of targets does not
993# expand to empty, as could happen e.g. with make check TESTS=''.
994am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
995am--force-recheck:
996        @:
997
998$(TEST_SUITE_LOG): $(TEST_LOGS)
999        @$(am__set_TESTS_bases); \
1000        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1001        redo_bases=`for i in $$bases; do \
1002                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1003                    done`; \
1004        if test -n "$$redo_bases"; then \
1005          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1006          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1007          if $(am__make_dryrun); then :; else \
1008            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1009          fi; \
1010        fi; \
1011        if test -n "$$am__remaking_logs"; then \
1012          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1013               "recursion detected" >&2; \
1014        elif test -n "$$redo_logs"; then \
1015          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1016        fi; \
1017        if $(am__make_dryrun); then :; else \
1018          st=0;  \
1019          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1020          for i in $$redo_bases; do \
1021            test -f $$i.trs && test -r $$i.trs \
1022              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1023            test -f $$i.log && test -r $$i.log \
1024              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1025          done; \
1026          test $$st -eq 0 || exit 1; \
1027        fi
1028        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1029        ws='[   ]'; \
1030        results=`for b in $$bases; do echo $$b.trs; done`; \
1031        test -n "$$results" || results=/dev/null; \
1032        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1033        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1034        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1035        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1036        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1037        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1038        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1039        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1040          success=true; \
1041        else \
1042          success=false; \
1043        fi; \
1044        br='==================='; br=$$br$$br$$br$$br; \
1045        result_count () \
1046        { \
1047            if test x"$$1" = x"--maybe-color"; then \
1048              maybe_colorize=yes; \
1049            elif test x"$$1" = x"--no-color"; then \
1050              maybe_colorize=no; \
1051            else \
1052              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1053            fi; \
1054            shift; \
1055            desc=$$1 count=$$2; \
1056            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1057              color_start=$$3 color_end=$$std; \
1058            else \
1059              color_start= color_end=; \
1060            fi; \
1061            echo "$${color_start}# $$desc $$count$${color_end}"; \
1062        }; \
1063        create_testsuite_report () \
1064        { \
1065          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1066          result_count $$1 "PASS: " $$pass  "$$grn"; \
1067          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1068          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1069          result_count $$1 "FAIL: " $$fail  "$$red"; \
1070          result_count $$1 "XPASS:" $$xpass "$$red"; \
1071          result_count $$1 "ERROR:" $$error "$$mgn"; \
1072        }; \
1073        {                                                               \
1074          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1075            $(am__rst_title);                                           \
1076          create_testsuite_report --no-color;                           \
1077          echo;                                                         \
1078          echo ".. contents:: :depth: 2";                               \
1079          echo;                                                         \
1080          for b in $$bases; do echo $$b; done                           \
1081            | $(am__create_global_log);                                 \
1082        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1083        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1084        if $$success; then                                              \
1085          col="$$grn";                                                  \
1086         else                                                           \
1087          col="$$red";                                                  \
1088          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1089        fi;                                                             \
1090        echo "$${col}$$br$${std}";                                      \
1091        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1092        echo "$${col}$$br$${std}";                                      \
1093        create_testsuite_report --maybe-color;                          \
1094        echo "$$col$$br$$std";                                          \
1095        if $$success; then :; else                                      \
1096          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1097          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1098            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1099          fi;                                                           \
1100          echo "$$col$$br$$std";                                        \
1101        fi;                                                             \
1102        $$success || exit 1
1103
1104check-TESTS:
1105        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1106        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1107        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1108        @set +e; $(am__set_TESTS_bases); \
1109        log_list=`for i in $$bases; do echo $$i.log; done`; \
1110        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1111        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1112        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1113        exit $$?;
1114recheck: all $(check_PROGRAMS)
1115        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1116        @set +e; $(am__set_TESTS_bases); \
1117        bases=`for i in $$bases; do echo $$i; done \
1118                 | $(am__list_recheck_tests)` || exit 1; \
1119        log_list=`for i in $$bases; do echo $$i.log; done`; \
1120        log_list=`echo $$log_list`; \
1121        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1122                am__force_recheck=am--force-recheck \
1123                TEST_LOGS="$$log_list"; \
1124        exit $$?
1125testHeaders.log: testHeaders
1126        @p='testHeaders'; \
1127        b='testHeaders'; \
1128        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1129        --log-file $$b.log --trs-file $$b.trs \
1130        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1131        "$$tst" $(AM_TESTS_FD_REDIRECT)
1132.test.log:
1133        @p='$<'; \
1134        $(am__set_b); \
1135        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1136        --log-file $$b.log --trs-file $$b.trs \
1137        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1138        "$$tst" $(AM_TESTS_FD_REDIRECT)
1139@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1140@am__EXEEXT_TRUE@       @p='$<'; \
1141@am__EXEEXT_TRUE@       $(am__set_b); \
1142@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1143@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1144@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1145@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1146
1147distdir: $(DISTFILES)
1148        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1149        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1150        list='$(DISTFILES)'; \
1151          dist_files=`for file in $$list; do echo $$file; done | \
1152          sed -e "s|^$$srcdirstrip/||;t" \
1153              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1154        case $$dist_files in \
1155          */*) $(MKDIR_P) `echo "$$dist_files" | \
1156                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1157                           sort -u` ;; \
1158        esac; \
1159        for file in $$dist_files; do \
1160          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1161          if test -d $$d/$$file; then \
1162            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1163            if test -d "$(distdir)/$$file"; then \
1164              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1165            fi; \
1166            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1167              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1168              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1169            fi; \
1170            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1171          else \
1172            test -f "$(distdir)/$$file" \
1173            || cp -p $$d/$$file "$(distdir)/$$file" \
1174            || exit 1; \
1175          fi; \
1176        done
1177check-am: all-am
1178        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1179        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1180check: check-am
1181all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
1182installdirs:
1183        for dir in "$(DESTDIR)$(libexecdir)"; do \
1184          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1185        done
1186install: install-am
1187install-exec: install-exec-am
1188install-data: install-data-am
1189uninstall: uninstall-am
1190
1191install-am: all-am
1192        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1193
1194installcheck: installcheck-am
1195install-strip:
1196        if test -z '$(STRIP)'; then \
1197          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1198            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1199              install; \
1200        else \
1201          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1202            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1203            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1204        fi
1205mostlyclean-generic:
1206        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1207        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1208        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1209
1210clean-generic:
1211        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1212
1213distclean-generic:
1214        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1215        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1216
1217maintainer-clean-generic:
1218        @echo "This command is intended for maintainers to use"
1219        @echo "it deletes files that may require special tools to rebuild."
1220clean: clean-am
1221
1222clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1223        clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1224
1225distclean: distclean-am
1226        -rm -rf ./$(DEPDIR)
1227        -rm -f Makefile
1228distclean-am: clean-am distclean-compile distclean-generic \
1229        distclean-tags
1230
1231dvi: dvi-am
1232
1233dvi-am:
1234
1235html: html-am
1236
1237html-am:
1238
1239info: info-am
1240
1241info-am:
1242
1243install-data-am:
1244
1245install-dvi: install-dvi-am
1246
1247install-dvi-am:
1248
1249install-exec-am: install-libexecPROGRAMS
1250
1251install-html: install-html-am
1252
1253install-html-am:
1254
1255install-info: install-info-am
1256
1257install-info-am:
1258
1259install-man:
1260
1261install-pdf: install-pdf-am
1262
1263install-pdf-am:
1264
1265install-ps: install-ps-am
1266
1267install-ps-am:
1268
1269installcheck-am:
1270
1271maintainer-clean: maintainer-clean-am
1272        -rm -rf ./$(DEPDIR)
1273        -rm -f Makefile
1274maintainer-clean-am: distclean-am maintainer-clean-generic
1275
1276mostlyclean: mostlyclean-am
1277
1278mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1279        mostlyclean-libtool
1280
1281pdf: pdf-am
1282
1283pdf-am:
1284
1285ps: ps-am
1286
1287ps-am:
1288
1289uninstall-am: uninstall-libexecPROGRAMS
1290
1291.MAKE: check-am install-am install-strip
1292
1293.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1294        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1295        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1296        ctags-am distclean distclean-compile distclean-generic \
1297        distclean-libtool distclean-tags distdir dvi dvi-am html \
1298        html-am info info-am install install-am install-data \
1299        install-data-am install-dvi install-dvi-am install-exec \
1300        install-exec-am install-html install-html-am install-info \
1301        install-info-am install-libexecPROGRAMS install-man \
1302        install-pdf install-pdf-am install-ps install-ps-am \
1303        install-strip installcheck installcheck-am installdirs \
1304        maintainer-clean maintainer-clean-generic mostlyclean \
1305        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1306        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1307        uninstall-am uninstall-libexecPROGRAMS
1308
1309.PRECIOUS: Makefile
1310
1311
1312$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1313
1314testHeaders: $(srcdir)/*.h
1315        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1316
1317.PHONY: testHeaders
1318
1319debug.cc: $(top_srcdir)/src/debug.cc
1320        cp $(top_srcdir)/src/debug.cc .
1321
1322globals.cc: $(top_srcdir)/src/globals.h
1323        cp $(top_builddir)/src/globals.cc .
1324
1325time.cc: $(top_srcdir)/src/time.cc
1326        cp $(top_srcdir)/src/time.cc .
1327
1328SquidConfig.cc: $(top_srcdir)/src/SquidConfig.cc
1329        cp $(top_srcdir)/src/SquidConfig.cc .
1330
1331SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
1332        cp $(top_srcdir)/src/SquidNew.cc .
1333
1334stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
1335        cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc .
1336
1337# Tell versions [3.59,3.63) of GNU make to not export all variables.
1338# Otherwise a system limit (for SysV at least) may be exceeded.
1339.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.